Summary: Computer Modern and LaTeX PS Fonts
Name: ComputerModernPS
Version: 1.0
Release: 5
Copyright: American Mathematical Society
Group: Utilities/Printing
packager: Serge Droz (droz@physics.uoguelph.ca) 1998
Source0: ftp://ctan.tug.org/tex-archive/fonts/cm/ps-type1/bluesky/cmps-unix.tar.gz
Patch: latexfonts.diff
Requires: tetex-dvips
BuildArchitectures: noarch
%description
The Computer Modern typefaces were created in the spirit of the typeface
Monotype Modern 8A by Professor Donald E. Knuth of Stanford University.  The
Computer Modern family includes a large set of scientific and mathematical
figures and symbols and is widely used with implementations of the \tex\
typesetting system.  {\it Computer Modern Typefaces}, Volume E of {\it
Computers and Typesetting} (D.~E.~Knuth, Addison Wesley), is the definitive
source for the Computer Modern faces. {\it The \tex book} (D.~E.~Knuth, Addison
Wesley), Appendix F, is also a good reference.

This package contains 75 faces from the Computer Modern family in Adobe
PostScript Type~1 form. These fonts can be used with all PostScript printers
and Adobe Type Manager.

Also contained are the ps versions of the latex fonts.
%changelog 
* Wed May 20 1998 Serge Droz <droz@physics.uoguelph.ca>

- Fixed post and unpost scripts so the permissions for config.ps
  would be set properly. Thanks to Robert Tennent <rdt@qucis.queensu.ca>
  for pointing all these omissons out to me.

* Tue May 19 1998 Serge Droz <droz@physics.uoguelph.ca>

- Font definitions are now included via the 
  p +name option. Makes installing and uninstaling a lot easier.
  
* Fri May 15 1998 Serge Droz <droz@physics.uoguelph.ca>

- Added map entries for the latex fonts.
- Made unistall a bit safer + some cosmetics.

%prep
%setup -n cmpsfont
%patch  -p1 -b .latexfonts
%build

%install
if [ ! -d /usr/lib/texmf/texmf/fonts/type1/bluesky ] ; then
  mkdir /usr/lib/texmf/texmf/fonts/type1/bluesky
fi
cp pfb/* /usr/lib/texmf/texmf/fonts/type1/bluesky
chown root:root /usr/lib/texmf/texmf/fonts/type1/bluesky/*
cp mapfiles/psfonts.cmz /usr/lib/texmf/texmf/dvips/misc/
%post
TMPFILE=`mktemp config.ps.XXXXXX` || exit 1
gawk 'BEGIN {pap=1}                 \
      $2 == "+psfonts.cmz" {next}   \
      $1 == "#ComputerModern" {next}\
      $1 ~/^@/ {if (pap) {print "#ComputerModern PS font encodings\np +psfonts.cmz\n";pap=0}}\
               {print $0}'          \
       /usr/lib/texmf/texmf/dvips/config/config.ps >> $TMPFILE
cp -f $TMPFILE /usr/lib/texmf/texmf/dvips/config/config.ps
chmod 644 /usr/lib/texmf/texmf/dvips/config/config.ps
texhash
%preun
TMPFILE=`mktemp config.ps.XXXXXX` || exit 1
gawk '$2 == "+psfonts.cmz" {next}     \
      $1 == "#ComputerModern" {next}
            {print $0}' \
       /usr/lib/texmf/texmf/dvips/config/config.ps >> $TMPFILE
mv -f $TMPFILE /usr/lib/texmf/texmf/dvips/config/config.ps
chmod 644 /usr/lib/texmf/texmf/dvips/config/config.ps
texhash
%files
/usr/lib/texmf/texmf/fonts/type1/bluesky/
/usr/lib/texmf/texmf/dvips/misc/psfonts.cmz
%doc READ.ME
%doc cmsample.tex
